PhilWaldmann PhilWaldmann

openrecord

15 1 0

Active record like ORM for nodejs

Dependencies

Package Locked Requirement Latest Status Changelog
Npms async >= 0.2.x 0.9.0

async

Higher-order functions and common patterns for asynchronous code

This dependency is up-to-date. Congrats and keep going!

Npms bluebird ~ 2.6.x 2.9.24

bluebird

Full featured Promises/A+ implementation with exceptionally good performance

This dependency is not matching latest version. Please consider upgrading.

Npms glob >= 3.2.x 5.0.5

glob

a little globber

This dependency is up-to-date. Congrats and keep going!

Npms inflection >= 1.3.x 1.6.0

inflection

A port of inflection-js to node.js module

This dependency is up-to-date. Congrats and keep going!

Npms moment >= 2.7.x 2.10.2

moment

Parse, validate, manipulate, and display dates

This dependency is up-to-date. Congrats and keep going!

Npms validator >= 3.1.x 3.38.0

validator

String validation and sanitization

This dependency is up-to-date. Congrats and keep going!

Package Locked Requirement Latest Status Changelog
Npms blanket >= 1.1.x 1.1.6

blanket

seamless js code coverage

This dependency is up-to-date. Congrats and keep going!

Npms coveralls >= 2.6.x 2.11.2

coveralls

takes json-cov output into stdin and POSTs to coveralls.io

This dependency is up-to-date. Congrats and keep going!

Npms docu latest 0.0.2

docu

Documentation generator based on dox

This dependency is up-to-date. Congrats and keep going!

Npms mocha >= 1.13.0 2.2.4

mocha

simple, flexible, fun test framework

This dependency is up-to-date. Congrats and keep going!

Npms mocha-lcov-reporter >= 0.0.x 0.0.2

mocha-lcov-reporter

LCOV reporter for Mocha

This dependency is up-to-date. Congrats and keep going!

Npms mysql >=2.1.x 2.6.2

mysql

A node.js driver for mysql. It is written in JavaScript, does not require compiling, and is 100% MIT licensed.

This dependency is up-to-date. Congrats and keep going!

Npms pg >= 2.11.x 4.3.0

pg

PostgreSQL client - pure javascript & libpq with the same API

This dependency is up-to-date. Congrats and keep going!

Npms restify >= 2.7.x 3.0.2

restify

REST framework

This dependency is up-to-date. Congrats and keep going!

Npms should >= 1.3.0 6.0.1

should

test framework agnostic BDD-style assertions

This dependency is up-to-date. Congrats and keep going!

Npms sqlite3 >= 2.2.x 3.0.5

sqlite3

Asynchronous, non-blocking SQLite3 bindings

This dependency is up-to-date. Congrats and keep going!